> ## Documentation Index
> Fetch the complete documentation index at: https://docs.merchantops.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Price Record

> Update a price record.



## OpenAPI

````yaml /openapi/merchantops-public.json put /api/pricing/records/{key}
openapi: 3.1.0
info:
  description: >-
    Public API for the MerchantOps product catalog, pricing, and publishing
    surface.
  title: MerchantOps API
  version: 1.0.0
servers:
  - description: Production
    url: https://api.merchantops.ai
security: []
paths:
  /api/pricing/records/{key}:
    put:
      tags:
        - Pricing
        - Pricing
        - Price Records
      summary: Update Price Record
      description: Update a price record.
      operationId: update_price_record
      parameters:
        - in: path
          name: key
          required: true
          schema:
            title: Key
            type: string
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: X-Organization-ID
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Organization-Id
        - in: cookie
          name: stytch_session
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Stytch Session
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdatePriceRecordRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema: {}
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    UpdatePriceRecordRequest:
      description: Request body for updating a price record. All fields optional.
      properties:
        amount:
          anyOf:
            - type: number
            - type: 'null'
          title: Amount
        brand_key:
          anyOf:
            - type: string
            - type: 'null'
          title: Brand Key
        currency:
          anyOf:
            - type: string
            - type: 'null'
          title: Currency
        effective_from:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Effective From
        effective_to:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Effective To
        notes:
          anyOf:
            - type: string
            - type: 'null'
          title: Notes
        price_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Price Type
        product_key:
          anyOf:
            - type: string
            - type: 'null'
          title: Product Key
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
        umap_flag:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Umap Flag
        variant_key:
          anyOf:
            - type: string
            - type: 'null'
          title: Variant Key
      title: UpdatePriceRecordRequest
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````